CREATE DATABASE moviereivews
GO
use moviereviews
GO


CREATE TABLE movies (
  movie_id            INT IDENTITY(1,1) NOT NULL CONSTRAINT pk_movies PRIMARY KEY CLUSTERED,
  title               NVARCHAR(64) NOT NULL,
  release_date        DATETIME NOT NULL
)
GO  

CREATE TABLE reviews (
  review_id    INT IDENTITY(1,1) NOT NULL CONSTRAINT pk_reviews PRIMARY KEY CLUSTERED,
  movie_id     INT NOT NULL CONSTRAINT fk_reviews_movies FOREIGN KEY (movie_id) REFERENCES movies (movie_id),
  summary      VARCHAR(64) NOT NULL,
  rating       INT NOT NULL,
  review       NVARCHAR(512) NOT NULL,
  reviewer     NVARCHAR(64) NULL
)
GO

/*********************************/
/**** Now Populate with Data  ***/
/*********************************/


INSERT INTO movies (title, release_date) VALUES ('Where the Wild Things Are', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Untitled Wes Craven Project', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('The Unknown Woman', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('The Torturer', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Terminator 4', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('State of Play', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('The Smurfs', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Red Roses and Petrol', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('O.C.T.: Occult Crimes Taskforce', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Nightmare Academy', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Night and Day Your Are the One', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Naughty or Nice', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Mary Queen of Scots', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Mafia Cop', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Here, There be Dragons', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Halo', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('The Edge of Love', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('The Day the Earth Stood Still', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('The Curious Case of Benjamin Button', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Class Act', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Battle for Haditha', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Baby Mama', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Avatar', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Australia', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Atlas Shrugged', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Antichrist', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Angels and Demons', '2008-12-15')
INSERT INTO movies (title, release_date) VALUES ('Tenderness', '2008-11-30')
INSERT INTO movies (title, release_date) VALUES ('Madagascar: The Crate Escape', '2008-11-07')
INSERT INTO movies (title, release_date) VALUES ('Bond 22', '2008-11-07')
INSERT INTO movies (title, release_date) VALUES ('Total Denial', '2008-10-26')
INSERT INTO movies (title, release_date) VALUES ('Eagle Eye', '2008-10-16')
INSERT INTO movies (title, release_date) VALUES ('City of Ember', '2008-10-10')
INSERT INTO movies (title, release_date) VALUES ('Death Race', '2008-09-26')
INSERT INTO movies (title, release_date) VALUES ('Inkheart', '2008-09-19')
INSERT INTO movies (title, release_date) VALUES ('Case 39', '2008-08-22')
INSERT INTO movies (title, release_date) VALUES ('The Pineapple Express', '2008-08-08')
INSERT INTO movies (title, release_date) VALUES ('Journey 3-D', '2008-08-08')
INSERT INTO movies (title, release_date) VALUES ('The Sisterhood of the Traveling Pants 2', '2008-08-08')
INSERT INTO movies (title, release_date) VALUES ('Valkyrie', '2008-08-08')
INSERT INTO movies (title, release_date) VALUES ('South of the Border', '2008-08-01')
INSERT INTO movies (title, release_date) VALUES ('12th Man', '2008-07-02')
INSERT INTO movies (title, release_date) VALUES ('Kit Kittredge: An American Girl Mystery', '2008-07-02')
INSERT INTO movies (title, release_date) VALUES ('No Regret', '2008-07-20')
INSERT INTO movies (title, release_date) VALUES ('What Happens In Vegas...', '2008-06-27')
INSERT INTO movies (title, release_date) VALUES ('Wanted', '2008-06-27')
INSERT INTO movies (title, release_date) VALUES ('Wall-E', '2008-06-27')
INSERT INTO movies (title, release_date) VALUES ('The Love Guru', '2008-06-20')
INSERT INTO movies (title, release_date) VALUES ('The Incredible Hulk', '2008-06-13')
INSERT INTO movies (title, release_date) VALUES ('You Don''t Mess With The Zohan', '2008-06-06')
INSERT INTO movies (title, release_date) VALUES ('Nights in Rodanthe', '2008-06-06')
INSERT INTO movies (title, release_date) VALUES ('The Happening', '2008-06-06')
INSERT INTO movies (title, release_date) VALUES ('Kung Fu Panda', '2008-06-06')
INSERT INTO movies (title, release_date) VALUES ('Hellboy 2: The Golden Army', '2008-08-01')
INSERT INTO movies (title, release_date) VALUES ('The Dark Knight', '2008-07-18')
INSERT INTO movies (title, release_date) VALUES ('Get Smart', '2008-06-20')
INSERT INTO movies (title, release_date) VALUES ('Sex and the City: The Movie', '2008-05-30')
INSERT INTO movies (title, release_date) VALUES ('Forgetting Sarah Marshall', '2008-05-30')
INSERT INTO movies (title, release_date) VALUES ('Starship Dave', '2008-05-30')
INSERT INTO movies (title, release_date) VALUES ('Indiana Jones and the Kingdom of the Crystal Skull', '2008-05-22')
INSERT INTO movies (title, release_date) VALUES ('The Crhonicles of Narnia: Prince Caspian', '2008-05-16')
INSERT INTO movies (title, release_date) VALUES ('Speed Racer', '2008-05-09')
INSERT INTO movies (title, release_date) VALUES ('Made of Honor', '2008-05-02')
INSERT INTO movies (title, release_date) VALUES ('Iron Man', '2008-05-02')
INSERT INTO movies (title, release_date) VALUES ('Repo! The Genetic Opera', '2008-04-25')
INSERT INTO movies (title, release_date) VALUES ('Amusement', '2008-04-25')
INSERT INTO movies (title, release_date) VALUES ('Harold and Kumar Escape from Guantanamo', '2008-04-18')
INSERT INTO movies (title, release_date) VALUES ('The Rocker', '2008-04-18')
INSERT INTO movies (title, release_date) VALUES ('Prom Night', '2008-04-11')
INSERT INTO movies (title, release_date) VALUES ('Foodfight!', '2008-04-11')
INSERT INTO movies (title, release_date) VALUES ('Shine a Light', '2008-04-08')
INSERT INTO movies (title, release_date) VALUES ('The Ruins', '2008-04-04')
INSERT INTO movies (title, release_date) VALUES ('Wild Child', '2008-04-04')
INSERT INTO movies (title, release_date) VALUES ('Nim''s Island', '2008-04-04')
INSERT INTO movies (title, release_date) VALUES ('Leatherheads', '2008-04-04')
INSERT INTO movies (title, release_date) VALUES ('Goall II: Living the Dream', '2008-04-28')
INSERT INTO movies (title, release_date) VALUES ('21', '2008-03-28')
INSERT INTO movies (title, release_date) VALUES ('Stop-Loss', '2008-03-28')
INSERT INTO movies (title, release_date) VALUES ('Run, Fat Boy, Run', '2008-03-28')
INSERT INTO movies (title, release_date) VALUES ('Under the Same Moon', '2008-03-21')
INSERT INTO movies (title, release_date) VALUES ('Horton Hears a Who', '2008-03-14')
INSERT INTO movies (title, release_date) VALUES ('Last Stop for Paul', '2008-03-08')
INSERT INTO movies (title, release_date) VALUES ('Snow Angels', '2008-03-07')
INSERT INTO movies (title, release_date) VALUES ('College Road Trip', '2008-03-07')
INSERT INTO movies (title, release_date) VALUES ('The Forbidden Kingdom', '2008-04-18')
INSERT INTO movies (title, release_date) VALUES ('10,000 BC', '2008-03-07')
INSERT INTO movies (title, release_date) VALUES ('The Unknown Woman', '2008-03-07')
INSERT INTO movies (title, release_date) VALUES ('Semi-Pro', '2008-02-29')
INSERT INTO movies (title, release_date) VALUES ('Babylon A. D.', '2008-02-29')
INSERT INTO movies (title, release_date) VALUES ('The Other Boleyn Girl', '2008-02-29')
INSERT INTO movies (title, release_date) VALUES ('The Spiderwick Chronicles', '2008-02-29')
INSERT INTO movies (title, release_date) VALUES ('Duchess of Langeais', '2008-02-22')
INSERT INTO movies (title, release_date) VALUES ('The Counterfeiters', '2008-02-22')
INSERT INTO movies (title, release_date) VALUES ('Sex And Death 101', '2008-02-22')
INSERT INTO movies (title, release_date) VALUES ('Vantage Point', '2008-02-22')
INSERT INTO movies (title, release_date) VALUES ('Married Life', '2008-02-22')
INSERT INTO movies (title, release_date) VALUES ('Charlie Bartlett', '2008-02-22')
INSERT INTO movies (title, release_date) VALUES ('Funny Games', '2008-02-15')
INSERT INTO movies (title, release_date) VALUES ('George A. Romero''s Diary of the Dead', '2008-02-15')
INSERT INTO movies (title, release_date) VALUES ('Jumper', '2008-02-15')
INSERT INTO movies (title, release_date) VALUES ('Step Up 2 the Streets', '2008-02-14')
INSERT INTO movies (title, release_date) VALUES ('In Bruges', '2008-02-08')
INSERT INTO movies (title, release_date) VALUES ('Vince Vaughn''s Wild West Comedy Show', '2008-02-08')
INSERT INTO movies (title, release_date) VALUES ('The Band''s Visit', '2008-02-08')
INSERT INTO movies (title, release_date) VALUES ('Fool''s Gold', '2008-02-08')
INSERT INTO movies (title, release_date) VALUES ('Welcome Home Roscoe Jenkins', '2008-02-08')
INSERT INTO movies (title, release_date) VALUES ('Pathology', '2008-02-08')
INSERT INTO movies (title, release_date) VALUES ('Witless Protection', '2008-02-02')
INSERT INTO movies (title, release_date) VALUES ('Strange Wilderness', '2008-02-01')
INSERT INTO movies (title, release_date) VALUES ('The Eye', '2008-02-01')
INSERT INTO movies (title, release_date) VALUES ('Looking For The Red Balloon', '2008-01-30')
INSERT INTO movies (title, release_date) VALUES ('Untraceable', '2008-01-25')
INSERT INTO movies (title, release_date) VALUES ('Meet the Spartans', '2008-01-25')
INSERT INTO movies (title, release_date) VALUES ('How She Move', '2008-01-25')
INSERT INTO movies (title, release_date) VALUES ('Be Kind Rewind', '2008-01-25')
INSERT INTO movies (title, release_date) VALUES ('Rambo', '2008-01-25')
INSERT INTO movies (title, release_date) VALUES ('City of Men', '2008-01-18')
INSERT INTO movies (title, release_date) VALUES ('Mad Money', '2008-01-18')
INSERT INTO movies (title, release_date) VALUES ('Fanboys', '2008-01-18')
INSERT INTO movies (title, release_date) VALUES ('Cloverfield', '2008-01-18')
INSERT INTO movies (title, release_date) VALUES ('Rogue', '2008-01-11')
INSERT INTO movies (title, release_date) VALUES ('First Sunday', '2008-01-11')
INSERT INTO movies (title, release_date) VALUES ('27 Dresses', '2008-01-11')
INSERT INTO movies (title, release_date) VALUES ('In the Name of the King: A Dungeon Siege Tale', '2008-01-11')
INSERT INTO movies (title, release_date) VALUES ('The Business of Being Born', '2008-01-09')
INSERT INTO movies (title, release_date) VALUES ('One Missed Call', '2008-01-04')
INSERT INTO movies (title, release_date) VALUES ('The Killing of John Lennon', '2008-01-02')
INSERT INTO movies (title, release_date) VALUES ('The Cellar Door', '2007-12-12')
INSERT INTO movies (title, release_date) VALUES ('Daybreakers', '2007-12-12')
INSERT INTO movies (title, release_date) VALUES ('Honeydripper', '2007-12-12')
INSERT INTO movies (title, release_date) VALUES ('Mongol', '2007-12-12')
INSERT INTO movies (title, release_date) VALUES ('The Orphanage', '2007-12-12')
INSERT INTO movies (title, release_date) VALUES ('Cassandra''s Dream', '2007-12-28')
INSERT INTO movies (title, release_date) VALUES ('The Golden Compass', '2007-12-7')
INSERT INTO movies (title, release_date) VALUES ('Enchanted', '2007-11-21')
INSERT INTO movies (title, release_date) VALUES ('This Christmas', '2007-11-21')
INSERT INTO movies (title, release_date) VALUES ('Fred Claus', '2007-11-09')
INSERT INTO movies (title, release_date) VALUES ('Beowulf', '2007-11-16')
INSERT INTO movies (title, release_date) VALUES ('I Am Legend', '2007-12-14')
INSERT INTO movies (title, release_date) VALUES ('The Perfect Holiday', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Alvin and the Chipmunks', '2007-12-14')
INSERT INTO movies (title, release_date) VALUES ('The Kite Runner', '2007-12-28')
INSERT INTO movies (title, release_date) VALUES ('Goodbye Bafana', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Sweeney Todd: The Demon Barber of Fleet Street', '2007-12-21')
INSERT INTO movies (title, release_date) VALUES ('Charlie Wilson''s War', '2007-12-21')
INSERT INTO movies (title, release_date) VALUES ('Goal II: Living the Dream', '2007-12-21')
INSERT INTO movies (title, release_date) VALUES ('P.S. I Love You', '2007-12-21')
INSERT INTO movies (title, release_date) VALUES ('Walk Hard: The Dewey Cox Story', '2007-12-21')
INSERT INTO movies (title, release_date) VALUES ('Juno', '2007-12-05')
INSERT INTO movies (title, release_date) VALUES ('Ratatouille', '2007-06-29')
INSERT INTO movies (title, release_date) VALUES ('No Country for Old Men', '2007-11-09')
INSERT INTO movies (title, release_date) VALUES ('Gone Baby Gone', '2007-11-19')
INSERT INTO movies (title, release_date) VALUES ('Michael Clayton', '2007-10-05')
INSERT INTO movies (title, release_date) VALUES ('American Gangster', '2007-11-02')
INSERT INTO movies (title, release_date) VALUES ('Harry Potter and the Order of the Phoenix', '2007-07-11')
INSERT INTO movies (title, release_date) VALUES ('Stephen King''s The Mist', '2007-11-21')
INSERT INTO movies (title, release_date) VALUES ('The Darjeeling Limited', '2007-09-29')
INSERT INTO movies (title, release_date) VALUES ('Dan in Real Life', '2007-10-26')
INSERT INTO movies (title, release_date) VALUES ('Tyler Perry''s Why Did I Get Married?', '2007-10-12')
INSERT INTO movies (title, release_date) VALUES ('Mr. Magorium''s Wonder Emporium', '2007-11-16')
INSERT INTO movies (title, release_date) VALUES ('Southland Tales', '2007-11-14')
INSERT INTO movies (title, release_date) VALUES ('The Heartbreak Kid', '2007-10-05')
INSERT INTO movies (title, release_date) VALUES ('Martian Child', '2007-11-02')
INSERT INTO movies (title, release_date) VALUES ('Love in the Time of Cholera', '2007-11-16')
INSERT INTO movies (title, release_date) VALUES ('Lions for Lambs', '2007-11-09')
INSERT INTO movies (title, release_date) VALUES ('Awake', '2007-11-30')
INSERT INTO movies (title, release_date) VALUES ('Underdog', '2007-08-03')
INSERT INTO movies (title, release_date) VALUES ('Christmas in Wonderland', '2007-11-21')
INSERT INTO movies (title, release_date) VALUES ('Lake Dead', '2007-11-09')
INSERT INTO movies (title, release_date) VALUES ('Diva', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Life of Reilly', '2007-11-09')
INSERT INTO movies (title, release_date) VALUES ('Confessions of a Superhero', '2007-11-16')
INSERT INTO movies (title, release_date) VALUES ('Quantum Hoops', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Violin', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('I for India', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Diving Bell and the Butterfly', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Steal a Pencil For Me', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Deep Sea (IMAX)', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Savages', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Control', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Note by Note: The Making of the Steinway L1037', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Magnificent Desolation: Walking on the Moon 3D', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Before the Devil Knows You''re Dead', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Yiddish Theater: A Love Story', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Atonement', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('''Tis Autumn - The Search for Jackie Paris', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Joe Strummer: The Future is Unwritten', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Billy the Kid', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Into the Wild', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('It is Fine! EVERYTHING IS FINE', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Mulberry Street', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Starting Out in the Evening', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('War Dance', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Protagonist''', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('I''m Not There', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Santa vs. the Snowman', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Lars And The Real Girl', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Sharkwater', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Assassination of Jesse James by the Coward Robert Ford', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Oswald''s Ghost', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('He Was a Quiet Man', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Grace is Gone', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('What Would Jesus Buy?', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Darfur Now', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Roving Mars', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Lust, Caution', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Smiley Face', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Holly', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Chronicle of an Escape', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Nightmare Man', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Rocket', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Walker', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Romance and Cigarettes', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Sasquatch Gang', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Eleven Men Out', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Redacted', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Bella', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Man in the Chair', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Saawariya', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Choking Man', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Dirty Laundry', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Fat Girls', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Midnight Eagle', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Tony N'' Tina''s Wedding', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Sex and Breakfast', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Amateurs', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Strength and Honor', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Nina''s Heavenly Delights', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Looking For Cheyenne', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Mama''s Boy', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('I''ll Believe You', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Aaja Nachle', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Deaths of Ian Stone', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Unearthed', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Glass Lips', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Borderland', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Tooth and Nail', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Divine Intervention', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Cocalero', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Crazy Eights', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Om Shanti Om', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Buddha''s Lost Children', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('The Sacred Family', '2007-11-11')
INSERT INTO movies (title, release_date) VALUES ('Star Wars', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shawshank Redemption, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pulp Fiction', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Titanic', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Wars: Episode V - The Empire Strikes Back', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Usual Suspects, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Saving Private Ryan', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Braveheart', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Beauty', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Raiders of the Lost Ark', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Godfather, The', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Wars: Episode VI - Return of the Jedi', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blade Runner', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Silence of the Lambs, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Forrest Gump', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Wars: Episode I - The Phantom Menace', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sixth Sense, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Independence Day', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Terminator 2: Judgment Day', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Se7en', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fargo', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('2001: A Space Odyssey', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Aliens', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Truman Show, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Back to the Future', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Casablanca', 'Jan  1 1942 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Good Will Hunting', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fifth Element, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Twelve Monkeys', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gladiator', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fight Club', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clockwork Orange, A', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alien', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Princess Bride, The', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Indiana Jones and the Last Crusade', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fugitive, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Reservoir Dogs', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Citizen Kane', 'Jan  1 1941 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Die Hard', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Goodfellas', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scream', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Apocalypse Now', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Terminator, The', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('As Good As It Gets', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Poets Society', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Monty Python and the Holy Grail', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trainspotting', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rock, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shakespeare in Love', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Apollo 13', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Psycho', 'Jan  1 1960 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Contact', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Toy Story', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Armageddon', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blair Witch Project, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rain Man', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Godfather: Part II, The', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Face/Off', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shining, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Amadeus', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Taxi Driver', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('E.T. the Extra-Terrestrial', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blues Brothers, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek: First Contact', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Full Metal Jacket', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Being John Malkovich', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clerks', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wizard of Oz, The', 'Jan  1 1939 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Green Mile, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Vita  bella, La', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Austin Powers: International Man of Mystery', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Starship Troopers', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Groundhog Day', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mission: Impossible', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Heat', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('English Patient, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American History X', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Top Gun', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Speed', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Twister', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Batman', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rear Window', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Eyes Wide Shut', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Brazil', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Lebowski, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('True Lies', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('X-Men', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Full Monty, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('North by Northwest', 'Jan  1 1959 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chasing Amy', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hunt for Red October, The', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Vertigo', 'Jan  1 1958 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dogma', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mission: Impossible II', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fish Called Wanda, A', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Pie', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Austin Powers: The Spy Who Shagged Me', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Indiana Jones and the Temple of Doom', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('When Harry Met Sally...', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gone with the Wind', 'Jan  1 1939 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stand by Me', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Batman & Robin', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ghostbusters', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dances with Wolves', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sleepy Hollow', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('South Park: Bigger, Longer and Uncut', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Three Kings', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Platoon', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('From Dusk Till Dawn', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mummy, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Toy Story 2', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Air Force One', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Unforgiven', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Breakfast Club, The', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Field of Dreams', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('To Kill a Mockingbird', 'Jan  1 1962 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Untouchables, The', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Graduate, The', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thin Red Line, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Game, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Godzilla', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boogie Nights', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Abyss, The', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Romeo + Juliet', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Total Recall', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grosse Pointe Blank', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('X Files, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Close Encounters of the Third Kind', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Few Good Men, A', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Exorcist, The', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scream 2', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pleasantville', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deep Impact', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Con Air', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grease', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Natural Born Killers', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sling Blade', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('True Romance', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('GoldenEye', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Airplane!', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Back to the Future Part II', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deer Hunter, The', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boot, Das', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gattaca', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alien: Resurrection', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beauty and the Beast', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chinatown', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Casino', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('World Is Not Enough, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Raising Arizona', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Army of Darkness', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('12 Angry Men', 'Jan  1 1957 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Batman Forever', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sting, The', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Glory', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Raging Bull', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dark City', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wallace & Gromit: The Wrong Trousers', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beetlejuice', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Highlander', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pretty Woman', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Notting Hill', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Go', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sound of Music, The', 'Jan  1 1965 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crow, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Patriot, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Enemy of the State', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Babe', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Talented Mr. Ripley, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Who Framed Roger Rabbit', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tomorrow Never Dies', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Man Walking', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Out of Sight', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sleepless in Seattle', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Die Hard: With a Vengeance', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Aladdin', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dumb & Dumber', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wedding Singer, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Insider, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Negotiator, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Perfect Storm, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bridge on the River Kwai, The', 'Jan  1 1957 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Four Weddings and a Funeral', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ransom', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Back to the Future Part III', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rocky Horror Picture Show, The', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rushmore', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spaceballs', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Analyze This', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Die Hard 2', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Young Frankenstein', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Goldfinger', 'Jan  1 1964 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clueless', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thelma & Louise', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ronin', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Predator', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cruel Intentions', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Batman Returns', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Swingers', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Basic Instinct', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Annie Hall', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek: The Wrath of Khan', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Waterworld', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ben-Hur', 'Jan  1 1959 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Animal House', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blade', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dune', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Galaxy Quest', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shine', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Simple Plan, A', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ghost', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Edward Scissorhands', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Christmas Story, A', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Time to Kill, A', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Butch Cassidy and the Sundance Kid', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Halloween', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stargate', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ed Wood', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wild Things', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Elizabeth', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dracula', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Robin Hood: Prince of Thieves', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('High Fidelity', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chicken Run', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sense and Sensibility', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Some Like It Hot', 'Jan  1 1959 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Much Ado About Nothing', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Home Alone', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ace Ventura: Pet Detective', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shichinin no samurai', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('While You Were Sleeping', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Witness', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('I Know What You Did Last Summer', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alien', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Player, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wag the Dog', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tombstone', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Buono, il brutto, il cattivo, Il', 'Jan  1 1966 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Erin Brockovich', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('End of Days', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek: Insurrection', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sleepers', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Antz', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('City of Angels', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Event Horizon', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Birds, The', 'Jan  1 1963 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Superman', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mrs. Doubtfire', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Entrapment', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rocky', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Goonies, The', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blazing Saddles', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('This Is Spinal Tap', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hook', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Donnie Brasco', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scent of a Woman', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Philadelphia', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crimson Tide', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Great Escape, The', 'Jan  1 1963 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Broken Arrow', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('8MM', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beverly Hills Cop', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Excalibur', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Election', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Unbreakable', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Get Shorty', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek: Generations', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dangerous Liaisons', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dazed and Confused', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gandhi', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blue Velvet', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sneakers', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('RoboCop', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cider House Rules, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Third Man, The', 'Jan  1 1949 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Payback', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fantasia', 'Jan  1 1940 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Happy Gilmore', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Piano, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Saint, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Desperado', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Eraser', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Strange Days', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Good Morning, Vietnam', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In the Line of Fire', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('African Queen, The', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Phenomenon', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thomas Crown Affair, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fisher King, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Central do Brasil', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Arlington Road', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mission to Mars', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Willy Wonka & the Chocolate Factory', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fried Green Tomatoes', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deep Blue Sea', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Heathers', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wild Wild West', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Conspiracy Theory', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cape Fear', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hamlet', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gremlins', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tootsie', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Waterboy, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scream 3', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Net, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Firm, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('That Thing You Do!', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rush Hour', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gone in Sixty Seconds', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nightmare Before Christmas, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nuovo cinema Paradiso', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bound', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('West Side Story', 'Jan  1 1961 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Quiz Show', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('WarGames', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scary Movie', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In & Out', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wo hu zang long', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spartacus', 'Jan  1 1960 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Right Stuff, The', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Outbreak', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Evil Dead II', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sphere', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Caddyshack', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cable Guy, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American President, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Fair Lady', 'Jan  1 1964 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crocodile Dundee', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Once Upon a Time in America', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Backdraft', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clear and Present Danger', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ghostbusters II', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('U-571', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Birdcage, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sliding Doors', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek IV: The Voyage Home', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scarface', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('People vs. Larry Flynt, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Haunting, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bone Collector, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In the Name of the Father', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Patriot Games', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dirty Dancing', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ever After', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bowfinger', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thing, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hudsucker Proxy, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Planet of the Apes', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Elephant Man, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Any Given Sunday', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ice Storm, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nikita', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Naked Gun: From the Files of Police Squad!, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('What Dreams May Come', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Demolition Man', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Showgirls', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Graffiti', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Awakenings', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fear and Loathing in Las Vegas', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Breaking the Waves', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Private Parts', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Patton', 'Jan  1 1970 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cool Hand Luke', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Postino, Il', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Whole Nine Yards, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Avengers, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Heavenly Creatures', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Patch Adams', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wallace & Gromit: A Close Shave', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('10 Things I Hate About You', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Snake Eyes', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Remains of the Day, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('October Sky', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Addams Family, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Psycho', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Name der Rose, Der', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dragonheart', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bringing Out the Dead', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deliverance', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Delicatessen', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shallow Grave', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mulan', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek: The Motion Picture', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Conan the Barbarian', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Akira', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Double Jeopardy', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Twins', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Speed 2: Cruise Control', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dave', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rebel Without a Cause', 'Jan  1 1955 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek VI: The Undiscovered Country', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Faculty, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pi', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Daddy', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Say Anything...', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ace Ventura: When Nature Calls', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Midnight Cowboy', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gods and Monsters', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nutty Professor, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pitch Black', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Highlander II: The Quickening', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Final Destination', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crying Game, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bad Boys', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Poltergeist', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cop Land', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('What Lies Beneath', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Falling Down', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Coming to America', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stigmata', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('eXistenZ', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Evita', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trois couleurs: Rouge', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Six Days Seven Nights', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Godfather: Part III, The', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek III: The Search for Spock', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('13th Warrior, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sweet Hereafter, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cliffhanger', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sunset Blvd.', 'Jan  1 1950 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Smoke', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mystery Men', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pink Floyd The Wall', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cell, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Misery', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Happiness', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Cousin Vinny', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Born on the Fourth of July', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Office Space', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Courage Under Fire', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mr. Smith Goes to Washington', 'Jan  1 1939 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Color Purple, The', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Arsenic and Old Lace', 'Jan  1 1944 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Romancing the Stone', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Secrets & Lies', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Craft, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Primal Fear', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cit des enfants perdus, La', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Evil Dead, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tarzan', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Snow White and the Seven Dwarfs', 'Jan  1 1937 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Frequency', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Planes, Trains & Automobiles', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Henry V', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trading Places', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beach, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Point Break', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Doctor Zhivago', 'Jan  1 1965 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Star Trek V: The Final Frontier', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('All About Eve', 'Jan  1 1950 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Being There', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Searching for Bobby Fischer', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('High Noon', 'Jan  1 1952 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Running Man, The', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Philadelphia Story, The', 'Jan  1 1940 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dr. No', 'Jan  1 1962 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trois couleurs: Bleu', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Better Off Dead...', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Working Girl', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wild Bunch, The', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ghost and the Darkness, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Harold and Maude', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('On the Waterfront', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clue', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beavis and Butt-head Do America', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Opposite of Sex, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bodyguard, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Runaway Bride', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wall Street', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Witches of Eastwick, The', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hackers', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Midnight Run', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fly, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('U.S. Marshals', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dog Day Afternoon', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bulworth', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Amistad', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Time Bandits', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Truth About Cats & Dogs, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Doors, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Day the Earth Stood Still, The', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Waking Ned Devine', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Prince of Egypt, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hurricane, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Frighteners, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Very Bad Things', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ran', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('City Slickers', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Empire of the Sun', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Splash', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fast Times at Ridgemont High', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Almost Famous', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spanish Prisoner, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Naked Gun 2 1/2: The Smell of Fear, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Paths of Glory', 'Jan  1 1957 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ten Commandments, The', 'Jan  1 1956 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Again', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Superman II', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Touch of Evil', 'Jan  1 1958 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Girl, Interrupted', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rounders', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flatliners', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bonnie and Clyde', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shaft', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Species', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Carrie', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beverly Hills Cop II', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Short Cuts', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hot Shots!', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hollow Man', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sister Act', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Empire Records', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Congo', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Battlefield Earth', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Striptease', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Braindead', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cube', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Todo sobre mi madre', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cocoon', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Glengarry Glen Ross', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Perfect Murder, A', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('48 Hrs.', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nightmare on Elm Street, A', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grand bleu, Le', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boyz N the Hood', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sixteen Candles', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rebecca', 'Jan  1 1940 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Adventures of Priscilla, Queen of the Desert, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sabrina', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Home Alone 2: Lost in New York', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Duck Soup', 'Jan  1 1933 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Room with a View, A', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ninth Gate, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cocktail', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('I Still Know What You Did Last Summer', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Easy Rider', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Death Becomes Her', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Three Men and a Baby', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bean', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Treasure of the Sierra Madre, The', 'Jan  1 1948 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Trouble in Little China', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dick Tracy', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wild at Heart', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Barton Fink', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Straight Story, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stir of Echoes', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Volcano', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Man', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Adventures of Baron Munchausen, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bull Durham', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rainmaker, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Three Amigos!', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tron', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('From Russia with Love', 'Jan  1 1963 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Driving Miss Daisy', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Double Indemnity', 'Jan  1 1944 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Papillon', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Sleep, The', 'Jan  1 1946 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Never Been Kissed', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Do the Right Thing', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tremors', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pelican Brief, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Modern Times', 'Jan  1 1936 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Under Siege', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hudson Hawk', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crash', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scrooged', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Escape from New York', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Four Rooms', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fletch', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Reality Bites', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('G.I. Jane', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Midnight in the Garden of Good and Evil', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Primary Colors', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blood Simple', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dawn of the Dead', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Edtv', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Siege, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shanghai Noon', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('First Blood', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rocky IV', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Honey, I Shrunk the Kids', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Father of the Bride', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Vampires', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Weird Science', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Risky Business', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Moonraker', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Anaconda', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Billy Madison', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beautiful Girls', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Urban Legend', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Client, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Copycat', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('U Turn', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Christmas Vacation', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Arachnophobia', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fatal Attraction', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tommy Boy', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Roxanne', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dirty Harry', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Peacemaker, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Road Trip', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pump Up the Volume', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Days of Thunder', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Robin Hood: Men in Tights', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fallen', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Top Secret!', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Civil Action, A', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Postman, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('2010', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Color of Money, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('River Runs Through It, A', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dirty Rotten Scoundrels', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mighty Aphrodite', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deconstructing Harry', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('First Knight', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Searchers, The', 'Jan  1 1956 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Great Expectations', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Notorious', 'Jan  1 1946 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Seven Years in Tibet', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mississippi Burning', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Replacement Killers, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Naked Gun 33 1/3: The Final Insult', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bridges of Madison County, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Natural, The', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Casper', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('War of the Roses, The', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Night of the Living Dead', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Absolute Power', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('French Kiss', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bambi', 'Jan  1 1942 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rashomon', 'Jan  1 1950 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Innerspace', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Howard the Duck', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mononoke Hime', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('French Connection, The', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Far and Away', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bringing Up Baby', 'Jan  1 1938 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Network', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Vacation', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Parenthood', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Forbidden Planet', 'Jan  1 1956 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Himmel ber Berlin, Der', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mortal Kombat', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Executive Decision', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Police Academy', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Commando', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ghost Dog: The Way of the Samurai', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('What About Bob?', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Perfect World, A', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dial M for Murder', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Strangers on a Train', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Angel Heart', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Emma', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Die xue shuang xiong', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Plan 9 from Outer Space', 'Jan  1 1958 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('To Die for', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fucking ml', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Roman Holiday', 'Jan  1 1953 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Predator 2', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Before Sunrise', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Streetcar Named Desire, A', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Real Genius', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Halloween H20: 20 Years Later', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Producers, The', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Escape from L.A.', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tin Cup', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Conversation, The', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Everyone Says I Love You', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Werewolf in London, An', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rambo: First Blood Part II', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hannah and Her Sisters', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('O Brother, Where Art Thou?', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Apartment, The', 'Jan  1 1960 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rosencrantz and Guildenstern Are Dead', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sex, Lies, and Videotape', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Summer of Sam', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spawn', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Breakdown', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chariots of Fire', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Addams Family Values', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Great Dictator, The', 'Jan  1 1940 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Commitments, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Muppet Movie, The', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Varsity Blues', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Once Were Warriors', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Saturday Night Fever', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('View to a Kill, A', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crimes and Misdemeanors', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Barry Lyndon', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('For Your Eyes Only', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('House on Haunted Hill', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('UHF', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Octopussy', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Horse Whisperer, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Chill, The', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Transformers: The Movie, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bronx Tale, A', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Quiet Man, The', 'Jan  1 1952 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stripes', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rocky III', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blast from the Past', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spice World', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hot Shots! Part Deux', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flintstones, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('First Wives Club, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Young Guns', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Practical Magic', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Romeo Must Die', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Own Private Idaho', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Psycho', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Diamonds Are Forever', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('One Fine Day', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nell', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Officer and a Gentleman, An', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Hit, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Night', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cyrano de Bergerac', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('So I Married an Axe Murderer', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stepmom', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cook the Thief His Wife & Her Lover, The', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dancer in the Dark', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Space Jam', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Out of Africa', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rob Roy', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rocky II', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Quick and the Dead, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Regarding Henry', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Airplane II: The Sequel', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cabaret', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bullets Over Broadway', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beautiful Thing', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Space Cowboys', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Moonstruck', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Never Say Never Again', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Strange Brew', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Doc Hollywood', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gallipoli', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Disclosure', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spies Like Us', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sjunde inseglet, Det', 'Jan  1 1957 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grapes of Wrath, The', 'Jan  1 1940 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Indecent Proposal', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Singles', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hoosiers', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Adventures of Buckaroo Banzai Across the 8th Dimension, The', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Frantic', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sliver', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hustler, The', 'Jan  1 1961 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Howards End', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spy Who Loved Me, The', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mimic', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tango & Cash', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Night on Earth', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Enter the Dragon', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Short Circuit', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gremlins 2: The New Batch', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mission, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Violon rouge, Le', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fiddler on the Roof', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nine 1/2 Weeks', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Strictly Ballroom', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Harvey', 'Jan  1 1950 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('54', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('You Only Live Twice', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wolf', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Unbearable Lightness of Being, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dark Crystal, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mystery Science Theater 3000: The Movie', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rambo III', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Twin Peaks: Fire Walk with Me', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Small Soldiers', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Titan A.E.', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thunderball', 'Jan  1 1965 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('World According to Garp, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Outlaw Josey Wales, The', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dragnet', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Superman III', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Friday', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Forces of Nature', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('One Hundred and One Dalmatians', 'Jan  1 1961 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Silverado', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thirteenth Floor, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Paris, Texas', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rocketeer, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Buffy the Vampire Slayer', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Repo Man', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Addicted to Love', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('8 1/2', 'Jan  1 1963 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Daylight', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rope', 'Jan  1 1948 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Zero Effect', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wonder Boys', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gods Must Be Crazy, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Midnight Express', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Throw Momma from the Train', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Welcome to the Dollhouse', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ordinary People', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Doctor Dolittle', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Apt Pupil', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Outsiders, The', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deuce Bigalow: Male Gigolo', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pretty in Pink', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Peggy Sue Got Married', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Revenge of the Nerds', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('How the Grinch Stole Christmas', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Texas Chain Saw Massacre, The', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('City Lights', 'Jan  1 1931 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Money Pit, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Relic, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('No Way Out', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Golden Child, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Exotica', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Heavy Metal', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Darkman', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Age of Innocence, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Charade', 'Jan  1 1963 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Desperately Seeking Susan', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Brassed Off', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Adventures in Babysitting', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Benny & Joon', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cool Runnings', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Superman IV: The Quest for Peace', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Starman', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Presumed Innocent', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pushing Tin', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Robocop 2', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('European Vacation', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Don Juan DeMarco', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Green Card', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hard Rain', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Roger & Me', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Eraserhead', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Terms of Endearment', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('George of the Jungle', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('39 Steps, The', 'Jan  1 1935 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Broadcast News', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Underground', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Miracle on 34th Street', 'Jan  1 1947 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rising Sun', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Frankenstein', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Steel Magnolias', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('1941', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grumpy Old Men', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flash Gordon', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hoop Dreams', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trzy kolory: Bialy', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Red Dawn', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Random Hearts', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shadowlands', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('After Hours', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dangerous Minds', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Up in Smoke', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dirty Dozen, The', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Specialist, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('2 Days in the Valley', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Three Musketeers, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Slap Shot', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fierce Creatures', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Toys', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Assassins', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Footloose', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wallace & Gromit: A Grand Day Out', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Uncle Buck', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shane', 'Jan  1 1953 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nine Months', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blue Streak', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Left Foot', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Omen, The', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Anna and the King', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nine to Five', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hellraiser', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gettysburg', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hand That Rocks the Cradle, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Three Days of the Condor', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pocahontas', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Timecop', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rio Bravo', 'Jan  1 1959 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sleeper', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gold Rush, The', 'Jan  1 1925 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Body Heat', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Adventures of Robin Hood, The', 'Jan  1 1938 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Conan the Destroyer', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bicentennial Man', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Waiting for Guffman', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Basketball Diaries, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Michael Collins', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bob Roberts', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Swimming with Sharks', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Yellow Submarine', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Turner & Hooch', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nixon', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Coyote Ugly', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Edge, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Double vie de Vronique, La', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Always', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boiler Room', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stuart Little', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rudy', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Some Kind of Wonderful', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Poseidon Adventure, The', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('History of the World: Part I', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Forever Young', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('To Catch a Thief', 'Jan  1 1955 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Police Academy 4: Citizens on Patrol', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Night of the Hunter, The', 'Jan  1 1955 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bad Taste', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('His Girl Friday', 'Jan  1 1940 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rules of Engagement', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('I.Q.', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Police Academy 5: Assignment: Miami Beach', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alive', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sabrina', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Best Years of Our Lives, The', 'Jan  1 1946 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mickey Blue Eyes', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('All Quiet on the Western Front', 'Jan  1 1930 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Now and Then', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Snatch', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Accidental Tourist, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('For Love of the Game', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Drugstore Cowboy', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Night at the Opera, A', 'Jan  1 1935 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ruthless People', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Barbarella', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grifters, The', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tequila Sunrise', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pink Panther, The', 'Jan  1 1963 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Brady Bunch Movie, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chain Reaction', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Yojimbo', 'Jan  1 1961 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In the Heat of the Night', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Billy Elliot', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Powder', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Virgin Suicides, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('F/X', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mosquito Coast, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hong faan kui', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stalag 17', 'Jan  1 1953 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nosferatu, eine Symphonie des Grauens', 'Jan  1 1922 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Drop Dead Gorgeous', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Of Mice and Men', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Multiplicity', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Object of My Affection, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Towering Inferno, The', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Purple Rose of Cairo, The', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Arthur', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hope Floats', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('General, The', 'Jan  1 1927 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Somewhere in Time', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rocky V', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Eye of the Beholder', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cinderella', 'Jan  1 1950 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Under Siege 2: Dark Territory', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Point of No Return', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Haunting, The', 'Jan  1 1963 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ideal Husband, An', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grand Canyon', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Barb Wire', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Zone, The', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Accused, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ref, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blues Brothers 2000', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Red Heat', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pet Sematary', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fearless', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fabulous Baker Boys, The', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Apostle, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Calm', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Naked Lunch', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Anastasia', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Soldier', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Popeye', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Arrival, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Withnail and I', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Twilight Zone: The Movie', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Police Academy 2: Their First Assignment', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Breaking Away', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grease 2', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fools Rush In', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nothing to Lose', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('True Crime', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flashdance', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Smokey and the Bandit', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Celebrity', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stop! Or My Mom Will Shoot', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wing Commander', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Street Fighter', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Black Rain', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Christine', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sea of Love', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mortal Kombat: Annihilation', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Serial Mom', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Zulu', 'Jan  1 1964 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bachelor Party', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('From Here to Eternity', 'Jan  1 1953 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Playing by Heart', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Freeway', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hamlet', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Murder in the First', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bird on a Wire', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deep Rising', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Disturbing Behavior', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dolores Claiborne', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fan, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Simon Birch', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Adventures of Ford Fairlane, The', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Reindeer Games', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Misrables, Les', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Haine, La', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Unendliche Geschichte, Die', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Where Eagles Dare', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('On Golden Pond', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Down by Law', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Frankenstein', 'Jan  1 1931 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Red Rock West', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Naked', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Friday the 13th', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('BASEketball', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cannonball Run, The', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Police Academy 6: City Under Siege', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sleeping Beauty', 'Jan  1 1959 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Zelig', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Andromeda Strain, The', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Overboard', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Caine Mutiny, The', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hero', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bottle Rocket', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spy Hard', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dark Star', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Odd Couple, The', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Music Man, The', 'Jan  1 1962 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cobra', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dinosaur', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Virus', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Stepmother Is an Alien', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hair', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Secret of My Succe$s, The', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Return to Me', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crow: City of Angels, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Threesome', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('End of the Affair, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Willow', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shall We Dansu?', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nurse Betty', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('*batteries not included', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Enemy Mine', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Per un pugno di dollari', 'Jan  1 1964 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bullitt', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sleeping with the Enemy', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beaches', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Earth Girls Are Easy', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stagecoach', 'Jan  1 1939 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cutting Edge, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Como agua para chocolate', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Back to School', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blue Lagoon, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In the Mouth of Madness', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hercules', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stakeout', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Per qualche dollaro in pi', 'Jan  1 1965 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flirting with Disaster', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fear', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Story of Us, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Prt--Porter', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bugsy', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Secret of NIMH, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sleuth', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Everything You Always Wanted to Know About Sex', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Heaven Can Wait', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Another 48 Hrs.', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In the Company of Men', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bronenosets Potyomkin', 'Jan  1 1925 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Priest', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tank Girl', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Six Degrees of Separation', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Walk in the Clouds, A', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Amarcord', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sure Thing, The', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('City Hall', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mr. Mom', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Quatre cents coups, Les', 'Jan  1 1959 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Halloween II', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mouse Hunt', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bad Lieutenant', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Down and Out in Beverly Hills', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Werewolf in Paris, An', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pillow Book, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Immortal Beloved', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Velvet Goldmine', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Day of the Jackal, The', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Ringers', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scrooge', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Birdy', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('House of Games', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Police Academy 3: Back in Training', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crucible, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ravenous', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sommersby', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('200 Cigarettes', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Diva', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Snow Falling on Cedars', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Soapdish', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Skulls, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Police Academy: Mission to Moscow', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cat on a Hot Tin Roof', 'Jan  1 1958 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('China Syndrome, The', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Biloxi Blues', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('28 Days', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beverly Hills Cop III', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dolce vita, La', 'Jan  1 1960 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Private Benjamin', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stalker', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Girl', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mitt liv som hund', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sweet and Lowdown', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dick', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Caddyshack II', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Corruptor, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Casino Royale', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Night at the Roxbury, A', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pay It Forward', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('River Wild, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Greystoke: The Legend of Tarzan, Lord of the Apes', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Videodrome', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Peter Pan', 'Jan  1 1953 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Freshman, The', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Au revoir les enfants', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Black Hole, The', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pecker', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Replacements, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bridge Too Far, A', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mujeres al borde de un ataque de nervios', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Airheads', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Color of Night', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Soylent Green', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('All of Me', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Passenger 57', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mystery, Alaska', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Strada, La', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Picnic at Hanging Rock', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Radio Days', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Year of Living Dangerously, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Species II', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Teaching Mrs. Tingle', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Universal Soldier', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fanny och Alexander', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Richard III', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Requiem for a Dream', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Babe: Pig in the City', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wyatt Earp', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Return to Paradise', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Affliction', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Smoke Signals', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mister Roberts', 'Jan  1 1955 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In Dreams', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Husbands and Wives', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Westworld', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fantasia/2000', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chongqing senlin', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Warriors, The', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thin Man, The', 'Jan  1 1934 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Remember the Titans', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mrs. Brown', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pinocchio', 'Jan  1 1940 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Coneheads', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stealing Beauty', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Prophecy, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Inherit the Wind', 'Jan  1 1960 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Single White Female', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Death and the Maiden', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Three to Tango', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Badlands', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Half Baked', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Idle Hands', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Candyman', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Da hong deng long gao gao gua', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hana-bi', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Outland', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('10', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grande illusion, La', 'Jan  1 1937 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flubber', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nineteen Eighty-Four', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('And Now for Something Completely Different', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('THX 1138', 'Jan  1 1970 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Up Close & Personal', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hurlyburly', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Oliver!', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('They Live', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Money Train', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Small Time Crooks', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dumbo', 'Jan  1 1941 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('To Have and Have Not', 'Jan  1 1944 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shadow of a Doubt', 'Jan  1 1943 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Witness for the Prosecution', 'Jan  1 1957 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Victor/Victoria', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trees Lounge', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Swing Kids', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('All That Jazz', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Teenage Mutant Ninja Turtles', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bloodsport', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Topsy-Turvy', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Diabolique', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('101 Dalmatians', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mirror Has Two Faces, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nashville', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('He Got Game', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Five Easy Pieces', 'Jan  1 1970 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('East of Eden', 'Jan  1 1955 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Eight Men Out', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Solyaris', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Body Double', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spellbound', 'Jan  1 1945 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Silent Running', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('About Last Night...', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bride of Chucky', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nick of Time', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Freaks', 'Jan  1 1932 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Altered States', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Amazon Women on the Moon', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Serpico', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Murder at 1600', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blown Away', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Teen Wolf', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pokmon the First Movie: Mewtwo Strikes Back', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Easy, The', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Escape from Alcatraz', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('At First Sight', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Frankie and Johnny', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rumble Fish', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wings of the Dove, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Parent Trap, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Arizona Dream', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sister Act 2: Back in the Habit', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Santa Clause, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Caligula', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Honeymoon in Vegas', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Affair to Remember, An', 'Jan  1 1957 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('To Wong Foo, Thanks for Everything, Julie Newmar', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gorillas in the Mist', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('White Squall', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dirty Work', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Party, The', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Smultronstllet', 'Jan  1 1957 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Virtuosity', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Book of Shadows: Blair Witch 2', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Taxi', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crumb', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fly Away Home', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Orgazmo', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cat People', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cool World', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Children of a Lesser God', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('372 le matin', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bonfire of the Vanities, The', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tampopo', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Guns of Navarone, The', 'Jan  1 1961 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chaplin', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hard Target', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nutty Professor II: The Klumps', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Highlander III: The Sorcerer', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bananas', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Where the Heart Is', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('When We Were Kings', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Seven Brides for Seven Brothers', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Titus', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Prince of Tides, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('T2 3-D: Battle Across Time', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hitcher, The', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Night to Remember, A', 'Jan  1 1958 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Anywhere But Here', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pale Rider', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blowup', 'Jan  1 1966 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mystic Pizza', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Young Guns II', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Belle de jour', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blind Date', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fahrenheit 451', 'Jan  1 1966 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ba wang bie ji', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Vegas Vacation', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Best in Show', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('When a Man Loves a Woman', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Murder by Death', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Straw Dogs', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fail-Safe', 'Jan  1 1964 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spitfire Grill, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hilary and Jackie', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Henry: Portrait of a Serial Killer', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shooting Fish', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crna macka, beli macor', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cutthroat Island', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Father of the Bride Part II', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bis ans Ende der Welt', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shadow, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sgt. Bilko', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nightmare on Elm Street 3: Dream Warriors, A', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Reine Margot, La', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('RoboCop 3', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dangerous Beauty', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Phantoms', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Pool, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Presidio, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shaft', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Murder on the Orient Express', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Englishman Who Went Up a Hill But Came Down a Mountain, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Diner', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Your Friends & Neighbors', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('White Christmas', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tucker: The Man and His Dream', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sirens', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bring It On', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Secret Garden, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Forget Paris', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Supernova', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mulholland Falls', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cradle Will Rock', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Striking Distance', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Anatomy of a Murder', 'Jan  1 1959 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('New Nightmare', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES (' bout de souffle', 'Jan  1 1960 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Doom Generation, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Extreme Measures', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Way of the Gun, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Something Wild', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Romper Stomper', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Halloween III: Season of the Witch', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Red Sonja', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gingerbread Man, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mumford', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Encino Man', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Casualties of War', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Giant', 'Jan  1 1956 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Three Musketeers, The', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Seventh Sign, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Auntie Mame', 'Jan  1 1958 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Short Circuit 2', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Muse, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Phantom, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Enfants du paradis, Les', 'Jan  1 1945 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Other Sister, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pacific Heights', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Walkabout', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Aguirre, der Zorn Gottes', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nothing But Trouble', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bitter Moon', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Grumpier Old Men', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('House of the Spirits, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Time Machine, The', 'Jan  1 1960 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Catch-22', 'Jan  1 1970 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hanging Up', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trust', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boondock Saints, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Babettes gstebud', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nattevagten', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Air America', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ultimo tango a Parigi', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('How to Make an American Quilt', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Runaway Train', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Problem Child 2', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fright Night', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Higher Learning', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Defending Your Life', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Annie', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Slums of Beverly Hills', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Days of Heaven', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Newsies', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Picture Perfect', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Batman: Mask of the Phantasm', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('High Plains Drifter', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Brokedown Palace', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tea with Mussolini', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Super Mario Bros.', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Firefox', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stranger Than Paradise', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bedazzled', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Yin shi nan nu', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Detroit Rock City', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Untamed Heart', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Antonia', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Young Sherlock Holmes', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tommy', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('School Ties', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('One True Thing', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boys on the Side', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Buena Vista Social Club', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clash of the Titans', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hellbound: Hellraiser II', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Holy Man', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bachelor, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Down Periscope', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Happy, Texas', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fearless Vampire Killers, The', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Assault on Precinct 13', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chase, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mod Squad, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Great Outdoors, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hairspray', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shootist, The', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Un coeur en hiver', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Europa', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Running on Empty', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Paper, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Holy Smoke', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Near Dark', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('With Honors', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clockers', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Vanishing, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Getaway, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Belle poque', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Road to Wellville, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Torch Song Trilogy', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trouble with Harry, The', 'Jan  1 1955 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American in Paris, An', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Muppet Christmas Carol, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Secret of Roan Inish, The', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Adventures of Rocky & Bullwinkle, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Help!', 'Jan  1 1965 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rage: Carrie 2, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Oscar', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Desperate Measures', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Frenzy', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Drop Dead Fred', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Blue Heaven', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sid and Nancy', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('What Ever Happened to Baby Jane?', 'Jan  1 1962 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Freejack', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alice in Wonderland', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Vie rve des anges, La', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Butcher Boy, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Carne trmula', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Red Corner', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tonari no Totoro', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rollerball', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Outside Providence', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Verdict, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('PCU', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Noises Off...', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sydney', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Clay Pigeons', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Suspiria', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Excess Baggage', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mighty Ducks, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Creepshow', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Basquiat', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Baraka', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Heartbreak Ridge', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('On Deadly Ground', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dracula: Dead and Loving It', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Andrei Rublyov', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('HouseSitter', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Free Willy', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nightmare on Elm Street 4: The Dream Master, A', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Trick', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fog, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Twilight', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Colors', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bambi Meets Godzilla', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sholay', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('D.O.A.', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('War of the Worlds, The', 'Jan  1 1953 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Midnight Clear, A', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Winslow Boy, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tesis', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Saving Grace', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wrongfully Accused', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cry-Baby', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mighty, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('1492: Conquest of Paradise', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beneath the Planet of the Apes', 'Jan  1 1970 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Utomlyonnye solntsem', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('New York Stories', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Henry & June', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Deep End of the Ocean, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mighty Joe Young', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blow Out', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sandlot, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dressed to Kill', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beethoven', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Re-Animator', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fletch Lives', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hsi yen', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thunderheart', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dellamorte Dellamore', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Nightwatch', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pred dozhdot', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Play It Again, Sam', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Harry and the Hendersons', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bio-Dome', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Quick Change', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Dinner with Andr', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wicker Man, The', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boomerang', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dragon: The Bruce Lee Story', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bulletproof', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bride of Frankenstein', 'Jan  1 1935 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cabin Boy', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Quadrophenia', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mifunes sidste sang', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Baby Geniuses', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Next Best Thing, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Coma', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Night Shift', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blue in the Face', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Out-of-Towners, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Take the Money and Run', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Screamers', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Watership Down', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Screamers', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('House of Yes, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Road House', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('New Jack City', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chitty Chitty Bang Bang', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Down to You', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mystery Train', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Return of the Pink Panther, The', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Palmetto', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ngo hai sui', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beloved', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Subway', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Black Sheep', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Power of One, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fair Game', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boxing Helena', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dennis the Menace', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Brothers McMullen, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Drowning Mona', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Problem Child', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Children of the Corn', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Capricorn One', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Postcards from the Edge', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cocoon: The Return', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Romeo Is Bleeding', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Silkwood', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hunger, The', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shot in the Dark, A', 'Jan  1 1964 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('1900', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Chamber, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fame', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Tail, An', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Friday the 13th Part 2', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dner de cons, Le', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Big Kahuna, The', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beastmaster, The', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Taps', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Highlander: Endgame', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Movie: The Making of Northwestern', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cadillac Man', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Zardoz', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blechtrommel, Die', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('High Anxiety', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beverly Hills Ninja', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Next Friday', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Tin Men', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Silent Movie', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Funny Farm', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('True Grit', 'Jan  1 1969 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Abre los ojos', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Simply Irresistible', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Death Race 2000', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Final Countdown, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Home Fries', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Above the Law', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dead Man on Campus', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Supergirl', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cure, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cannonball Run II', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Persona', 'Jan  1 1966 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Russia House, The', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Devil in a Blue Dress', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Over the Top', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('3 Men and a Little Lady', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Broadway Danny Rose', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ying huang boon sik', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Xanadu', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Plunkett & Macleane', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Visiteurs, Les', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flklypa Grand Prix', 'Jan  1 1975 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Drop Zone', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Seven Year Itch, The', 'Jan  1 1955 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thing From Another World, The', 'Jan  1 1951 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('I Love You to Death', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Repulsion', 'Jan  1 1965 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Rosewood', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Firestarter', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('To Live and Die in L.A.', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Reds', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Flight of the Navigator', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('High Art', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bed of Roses', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Feeling Minnesota', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Monty Python Live at the Hollywood Bowl', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Drowning by Numbers', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stop Making Sense', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('One Eight Seven', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Oscar and Lucinda', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Amateur', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Something to Talk About', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Fellow Americans', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Day of the Dead', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fandango', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Purple Rain', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Dog Skip', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Universal Soldier: The Return', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boxer, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Home for the Holidays', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gorky Park', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dream Team, The', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gummo', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cotton Club, The', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Renaissance Man', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Only You', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ridicule', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pink Panther Strikes Again, The', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Needful Things', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sudden Death', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('20,000 Leagues Under the Sea', 'Jan  1 1954 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Suspicion', 'Jan  1 1941 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stunt Man, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bad News Bears, The', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Song of the South', 'Jan  1 1946 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Airport', 'Jan  1 1970 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Contender, The', 'Jan  1 2000 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Superstar', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Drive Me Crazy', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Prince of Darkness', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Exorcist II: The Heretic', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('I Love Trouble', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blue Thunder', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Amityville Horror, The', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Blame It on Rio', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Omega Man, The', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Attack of the Killer Tomatoes!', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scanners', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Damien: Omen II', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Around the World in Eighty Days', 'Jan  1 1956 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Indochine', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Oh, God!', 'Jan  1 1977 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Body of Evidence', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Canadian Bacon', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wait Until Dark', 'Jan  1 1967 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Yume', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Home Alone 3', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hotaru no haka', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('1776', 'Jan  1 1972 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Brainstorm', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wilde', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Escape from the Planet of the Apes', 'Jan  1 1971 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Foul Play', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('One, Two, Three', 'Jan  1 1961 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Turbulence', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Halloween 4: The Return of Michael Myers', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Moscow on the Hudson', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Pallbearer, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('See No Evil, Hear No Evil', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Crush, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Guarding Tess', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hotel New Hampshire, The', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Music of the Heart', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Yatgo ho yan', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Erik the Viking', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Red River', 'Jan  1 1948 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('SLC Punk!', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Boys from Brazil, The', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Young Einstein', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hitlerjunge Salomon', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Navy SEALS', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Poison Ivy', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ikiru', 'Jan  1 1952 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hope and Glory', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cape Fear', 'Jan  1 1962 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Yentl', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bounty, The', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Talk Radio', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Silver Streak', 'Jan  1 1976 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Exit to Eden', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Dobermann', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Poltergeist II: The Other Side', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hush', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Phantom of the Paradise', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Terminal Velocity', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wishmaster', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Honey, I Blew Up the Kid', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thomas Crown Affair, The', 'Jan  1 1968 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('...And Justice for All', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Halloween: The Curse of Michael Myers', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Paper Moon', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('To Be or Not to Be', 'Jan  1 1942 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Toy Soldiers', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Death on the Nile', 'Jan  1 1978 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Funny Games', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Stand and Deliver', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Gung Ho', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Distinguished Gentleman, The', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Good Son, The', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Milk Money', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Family Business', 'Jan  1 1989 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sudden Impact', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Remo Williams: The Adventure Begins...', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hidden, The', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('SubUrbia', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Scarlet Letter, The', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('SpaceCamp', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Glimmer Man, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Richie Rich', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Double Team', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Atlantic City', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Educating Rita', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Court Jester, The', 'Jan  1 1956 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Teen Wolf Too', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Slacker', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Two Girls and a Guy', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Raw Deal', 'Jan  1 1986 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Taking of Pelham One Two Three, The', 'Jan  1 1974 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Psycho II', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Friday the 13th Part 3: 3D', 'Jan  1 1982 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ghosts of Mississippi', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Great Race, The', 'Jan  1 1965 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Un chien andalou', 'Jan  1 1929 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hoffa', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Teenage Mutant Ninja Turtles II: The Secret of the Ooze', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Orlando', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Playing God', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('American Gigolo', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Serpent and the Rainbow, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('U2: Rattle and Hum', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Used Cars', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Valley Girl', 'Jan  1 1983 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shadows and Fog', 'Jan  1 1992 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Out of Rosenheim', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Portrait of a Lady, The', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Selena', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('My Beautiful Laundrette', 'Jan  1 1985 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Project X', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Robin Hood', 'Jan  1 1973 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Newton Boys, The', 'Jan  1 1998 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Money Talks', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Billy Bathgate', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Muppets From Space', 'Jan  1 1999 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hocus Pocus', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Thinner', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Restoration', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hard Way, The', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Baby Boom', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Time After Time', 'Jan  1 1979 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('tame!', 'Jan  1 1990 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Angels in the Outfield', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Parent Trap, The', 'Jan  1 1961 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Santa Claus Conquers the Martians', 'Jan  1 1964 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Truly Madly Deeply', 'Jan  1 1991 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Very Brady Sequel, A', 'Jan  1 1996 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Duoluo tianshi', 'Jan  1 1995 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Summer School', 'Jan  1 1987 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bewegte Mann, Der', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Streets of Fire', 'Jan  1 1984 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Heart and Souls', 'Jan  1 1993 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Barcelona', 'Jan  1 1994 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Absence of Malice', 'Jan  1 1981 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Milagro Beanfield War, The', 'Jan  1 1988 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('End of Violence, The', 'Jan  1 1997 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hollywood Knights, The', 'Jan  1 1980 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sky Captain and the World of Tomorrow', 'Sep 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Mr. 3000', 'Sep 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Resident Evil: Apocalypse', 'Sep 10 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Wimbledon', 'Sep 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Cellular', 'Sep 10 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shawn of the Dead', 'Sep 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Forgotten', 'Sep 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Last Shot', 'Sep 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('First Daughter', 'Sep 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Motorcycle Diaries', 'Sep 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ladder', 'Oct  1 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Shark Tale', 'Oct  1 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sound of Thunder', 'Oct  8 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Friday Night Lights', 'Oct  8 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Raise Your Voice', 'Oct  8 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Incredibles', 'Nov  5 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Saw', 'Oct  20 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('I Am David', 'Oct  20 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Ray', 'Oct  20 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('It''s All About Love', 'Oct  20 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Enduring Love', 'Oct  20 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('A Silent Love', 'Oct  20 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Hollow', 'Oct  20 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Be Cool', 'Oct  31 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alexander', 'Nov  5 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Birth', 'Nov  5 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alfie', 'Nov  5 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Callas Forever', 'Nov  5 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Polar Express', 'Nov  10 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Overnight', 'Nov  10 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Finding Neverland', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Ringer', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Seed of Chucky', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('After the Sunset', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('La Petite Lili', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Kinsey', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bright Future', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Guerrilla: The Taking of Patty Hearst', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Open My Heart', 'Nov 12 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Way Off Broadway', 'Nov 14 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('National Treasure', 'Nov 15 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Christmas with the Kranks', 'Nov 21 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The SpongeBob SquarePants Movie', 'Nov 15 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Closer', 'Dec 1 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Alexander', 'Nov 22 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bridget Jones: The Edge of Reason', 'Nov 14 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Sideways', 'Nov 1 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Aviator', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Lemony Snicket''s A Series of Unfortunate Events', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Spanglish', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Beyond the Sea', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Sea Inside', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Million Dollar Baby', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Open My Heart', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Swades', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The 3 Wise Men', 'Dec 17 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Meet the Fockers', 'Dec 22 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Flight of the Phoenix', 'Dec 22 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Phantom of the Opera', 'Dec 22 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Hotel Rwanda', 'Dec 22 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In the Realms of the Unreal', 'Dec 22 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Keys to the House', 'Dec 22 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('An Unfinished Life', 'Dec 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Proof', 'Dec 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Woodsman', 'Dec 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fierce People', 'Dec 24 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Life Acquatic with Steve Zissout', 'Dec 25 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Fat Albert', 'Dec 25 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Darkness', 'Dec 25 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('Bride and Prejudice', 'Dec 25 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('In Good Company', 'Dec 29 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Assassination of Richard Nixon', 'Dec 29 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Merchant of Venice', 'Dec 29 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('A Love Song for Bobby Long', 'Dec 29 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('The Upside of Anger', 'Dec 29 2004 12:00AM')
INSERT INTO movies (title, release_date) VALUES ('A Sound of Thunder', '2005')
INSERT INTO movies (title, release_date) VALUES ('Downfall', '2004-09-16')
INSERT INTO movies (title, release_date) VALUES ('Sideways', '2004-10-22')
INSERT INTO movies (title, release_date) VALUES ('The Incredibles', '2004-11-05')
INSERT INTO movies (title, release_date) VALUES ('Finding Neverland', '2004-11-12')
INSERT INTO movies (title, release_date) VALUES ('National Treasure', '2004-11-19')
INSERT INTO movies (title, release_date) VALUES ('Closer', '2004-12-03')
INSERT INTO movies (title, release_date) VALUES ('House of Flying Daggers', '2004-12-03')
INSERT INTO movies (title, release_date) VALUES ('Ocean''s Twelve', '2004-12-10')
INSERT INTO movies (title, release_date) VALUES ('Million Dollar Baby', '2004-12-15')
INSERT INTO movies (title, release_date) VALUES ('Lemony Snicket''s A Series of Unfortunate Events', '2004-12-17')
INSERT INTO movies (title, release_date) VALUES ('Meet the Fockers', '2004-12-22')
INSERT INTO movies (title, release_date) VALUES ('Andrew Lloyd Webber''s The Phantom of the Opera', '2004-12-22')
INSERT INTO movies (title, release_date) VALUES ('Hotel Rwanda', '2004-12-22')
INSERT INTO movies (title, release_date) VALUES ('The Aviator', '2004-12-25')
INSERT INTO movies (title, release_date) VALUES ('Fat Albert', '2004-12-25')
INSERT INTO movies (title, release_date) VALUES ('In Good Company', '2004-12-29')
INSERT INTO movies (title, release_date) VALUES ('White Noise', '2005-01-07')
INSERT INTO movies (title, release_date) VALUES ('Coach Carter', '2005-01-14')
INSERT INTO movies (title, release_date) VALUES ('Elektra', '2005-01-14')
INSERT INTO movies (title, release_date) VALUES ('Racing Stripes', '2005-01-14')
INSERT INTO movies (title, release_date) VALUES ('Assault on Precinct 13', '2005-01-19')
INSERT INTO movies (title, release_date) VALUES ('Are We There Yet?', '2005-01-21')
INSERT INTO movies (title, release_date) VALUES ('Alone in the Dark', '2005-01-28')
INSERT INTO movies (title, release_date) VALUES ('Hide and Seek', '2005-01-28')
INSERT INTO movies (title, release_date) VALUES ('Aliens of the Deep', '2005-01-28')
INSERT INTO movies (title, release_date) VALUES ('Boogeyman', '2005-02-04')
INSERT INTO movies (title, release_date) VALUES ('The Wedding Date', '2005-02-04')
INSERT INTO movies (title, release_date) VALUES ('Hitch: The Cure for the Common Man', '2005-02-11')
INSERT INTO movies (title, release_date) VALUES ('Pooh''s Heffalump Movie', '2005-02-11')
INSERT INTO movies (title, release_date) VALUES ('Bride and Prejudice', '2005-02-11')
INSERT INTO movies (title, release_date) VALUES ('Ong-Bak: The Thai Warrior', '2005-02-11')
INSERT INTO movies (title, release_date) VALUES ('Because of Winn-Dixie', '2005-02-18')
INSERT INTO movies (title, release_date) VALUES ('Constantine', '2005-02-18')
INSERT INTO movies (title, release_date) VALUES ('Son of the Mask', '2005-02-18')
INSERT INTO movies (title, release_date) VALUES ('Cursed', '2005-02-25')
INSERT INTO movies (title, release_date) VALUES ('Diary of a Mad Black Woman', '2005-02-25')
INSERT INTO movies (title, release_date) VALUES ('Man of the House', '2005-02-25')
INSERT INTO movies (title, release_date) VALUES ('Be Cool', '2005-03-04')
INSERT INTO movies (title, release_date) VALUES ('The Jacket', '2005-03-04')
INSERT INTO movies (title, release_date) VALUES ('The Pacifier', '2005-03-04')
INSERT INTO movies (title, release_date) VALUES ('Hostage', '2005-03-11')
INSERT INTO movies (title, release_date) VALUES ('Robots', '2005-03-11')
INSERT INTO movies (title, release_date) VALUES ('Millions', '2005-03-11')
INSERT INTO movies (title, release_date) VALUES ('The Upside of Anger', '2005-03-11')
INSERT INTO movies (title, release_date) VALUES ('Ice Princess', '2005-03-18')
INSERT INTO movies (title, release_date) VALUES ('The Ring Two', '2005-03-18')
INSERT INTO movies (title, release_date) VALUES ('Melinda and Melinda', '2005-03-18')
INSERT INTO movies (title, release_date) VALUES ('Miss Congeniality 2: Armed and Fabulous', '2005-03-24')
INSERT INTO movies (title, release_date) VALUES ('Guess Who', '2005-03-25')
INSERT INTO movies (title, release_date) VALUES ('Beauty Shop', '2005-03-30')
INSERT INTO movies (title, release_date) VALUES ('Sin City', '2005-04-01')
INSERT INTO movies (title, release_date) VALUES ('The Cave', '2005-04-08')
INSERT INTO movies (title, release_date) VALUES ('Fever Pitch', '2005-04-08')
INSERT INTO movies (title, release_date) VALUES ('Sahara', '2005-04-08')
INSERT INTO movies (title, release_date) VALUES ('Interpreter', '2005-04-22')
INSERT INTO movies (title, release_date) VALUES ('King''s Ransom', '2005-04-22')
INSERT INTO movies (title, release_date) VALUES ('A Lot Like Love', '2005-04-22')
INSERT INTO movies (title, release_date) VALUES ('The Hitchhiker''s Guide to the Galaxy', '2005-04-29')
INSERT INTO movies (title, release_date) VALUES ('XXX2: State of the Union', '2005-04-29')
INSERT INTO movies (title, release_date) VALUES ('Kingdom of Heaven', '2005-05-06')
INSERT INTO movies (title, release_date) VALUES ('Kicking & Screaming', '2005-05-13')
INSERT INTO movies (title, release_date) VALUES ('Unleashed', '2005-05-13')
INSERT INTO movies (title, release_date) VALUES ('Star Wars: Episode III - Revenge of the Sith', '2005-05-19')
INSERT INTO movies (title, release_date) VALUES ('Madagascar', '2005-05-27')
INSERT INTO movies (title, release_date) VALUES ('Mindhunters', '2005-05-27')
INSERT INTO movies (title, release_date) VALUES ('The Longest Yard', '2005-05-30')
INSERT INTO movies (title, release_date) VALUES ('Cinderella Man', '2005-06-03')
INSERT INTO movies (title, release_date) VALUES ('High Tension', '2005-06-03')
INSERT INTO movies (title, release_date) VALUES ('Lords of Dogtown', '2005-06-03')
INSERT INTO movies (title, release_date) VALUES ('Sisterhood of the Traveling Pants', '2005-06-03')
INSERT INTO movies (title, release_date) VALUES ('Batman Begins', '2005-06-17')
INSERT INTO movies (title, release_date) VALUES ('Bewitched', '2005-06-24')
INSERT INTO movies (title, release_date) VALUES ('Herbie: Fully Loaded', '2005-06-24')
INSERT INTO movies (title, release_date) VALUES ('War of the Worlds', '2005-06-29')
INSERT INTO movies (title, release_date) VALUES ('Fantastic Four', '2005-07-08')
INSERT INTO movies (title, release_date) VALUES ('Skeleton Key', '2005-07-08')
INSERT INTO movies (title, release_date) VALUES ('Charlie and the Chocolate Factory', '2005-07-15')
INSERT INTO movies (title, release_date) VALUES ('The Honeymooners', '2005-07-15')
INSERT INTO movies (title, release_date) VALUES ('The Island', '2005-07-22')
INSERT INTO movies (title, release_date) VALUES ('Rebound', '2005-07-22')
INSERT INTO movies (title, release_date) VALUES ('Sky High', '2005-07-29')
INSERT INTO movies (title, release_date) VALUES ('Stealth', '2005-07-29')
INSERT INTO movies (title, release_date) VALUES ('Doom', '2005-08-05')
INSERT INTO movies (title, release_date) VALUES ('Four Brothers', '2005-08-05')
INSERT INTO movies (title, release_date) VALUES ('Untitled Mike Judge Project', '2005-08-05')
INSERT INTO movies (title, release_date) VALUES ('Deuce Bigelow: European Gigolo', '2005-08-12')
INSERT INTO movies (title, release_date) VALUES ('The Perfect Man', '2005-08-12')
INSERT INTO movies (title, release_date) VALUES ('A Scanner Darkly', '2005-09-16')
INSERT INTO movies (title, release_date) VALUES ('Land of the Dead', '2005-09-21')
INSERT INTO movies (title, release_date) VALUES ('The Pink Panther', '2005-09-23')
INSERT INTO movies (title, release_date) VALUES ('Serenity', '2005-09-30')
INSERT INTO movies (title, release_date) VALUES ('In Her Shoes', '2005-10-07')
INSERT INTO movies (title, release_date) VALUES ('The Underclassman', '2005-10-07')
INSERT INTO movies (title, release_date) VALUES ('Legend of Zorro', '2005-11-04')
INSERT INTO movies (title, release_date) VALUES ('Grilled', '2005-11-09')
INSERT INTO movies (title, release_date) VALUES ('Jarhead', '2005-11-11')
INSERT INTO movies (title, release_date) VALUES ('Harry Potter and the Goblet of Fire', '2005-11-18')
INSERT INTO movies (title, release_date) VALUES ('Walk the Line', '2005-11-18')
INSERT INTO movies (title, release_date) VALUES ('The 40 Year Old Virgin', '2005-11-23')
INSERT INTO movies (title, release_date) VALUES ('The Brothers Grimm', '2005-11-23')
INSERT INTO movies (title, release_date) VALUES ('The Great Raid', '2005-12-02')
INSERT INTO movies (title, release_date) VALUES ('The Great Raid', '2005-12-02')
INSERT INTO movies (title, release_date) VALUES ('The Chronicles of Narnia: The Lion, the Witch and the Wardrobe', '2005-12-09')
INSERT INTO movies (title, release_date) VALUES ('King Kong', '2005-12-14')
INSERT INTO movies (title, release_date) VALUES ('Fun with Dick and Jane', '2005-12-21')
INSERT INTO movies (title, release_date) VALUES ('The Producers', '2005-12-21')
INSERT INTO movies (title, release_date) VALUES ('Tru Blu', '2006-05-03')
INSERT INTO movies (title, release_date) VALUES ('X-Men 3', '2006-05-05')
INSERT INTO movies (title, release_date) VALUES ('Cars', '2006-06-09')
INSERT INTO movies (title, release_date) VALUES ('Spider-Man 3', '2007-05-04')
INSERT INTO movies (title, release_date) VALUES ('Mr. and Mrs. Smith', '2005-06-10')
INSERT INTO movies (title, release_date) VALUES ('The Amityville Horror', '2005-04-15')
INSERT INTO movies (title, release_date) VALUES ('Valiant', '2005-08-19')
INSERT INTO movies (title, release_date) VALUES ('House of Wax', '2005-05-06')
INSERT INTO movies (title, release_date) VALUES ('Mission Impossible 3', '2005-06-25')
GO



-- Temp table of silly names used to populate reviews table
--
CREATE TABLE #Names
(
  id INT IDENTITY(1,1) NOT NULL CONSTRAINT pk_names PRIMARY KEY CLUSTERED,
  name VARCHAR(64)
)

INSERT INTO #Names (name) VALUES ('Carmine Dioxide')
INSERT INTO #Names (name) VALUES ('Will Price Randomly')
INSERT INTO #Names (name) VALUES ('Bud Uronner')
INSERT INTO #Names (name) VALUES ('Phyllis Steener')
INSERT INTO #Names (name) VALUES ('Lois Steem')
INSERT INTO #Names (name) VALUES ('Kurt Reply')
INSERT INTO #Names (name) VALUES ('Sy Burnett')
INSERT INTO #Names (name) VALUES ('Hugo Gurll')
INSERT INTO #Names (name) VALUES ('Kent C. Detrees')
INSERT INTO #Names (name) VALUES ('Lisa Carr')
INSERT INTO #Names (name) VALUES ('Orson Buggy')
INSERT INTO #Names (name) VALUES ('Adam Illion')
INSERT INTO #Names (name) VALUES ('Mahamadan Ptolemy ')
INSERT INTO #Names (name) VALUES ('Tilda Plierslip ')
INSERT INTO #Names (name) VALUES ('Sir Irving Spoon')
INSERT INTO #Names (name) VALUES ('Isaiah Olchap ')
INSERT INTO #Names (name) VALUES ('Hadley Newham ')
INSERT INTO #Names (name) VALUES ('Laura Biden ')
INSERT INTO #Names (name) VALUES ('Angus MacCoatup')
INSERT INTO #Names (name) VALUES ('Phillip Airtime ')
INSERT INTO #Names (name) VALUES ('Carlos Antenna')
INSERT INTO #Names (name) VALUES ('Sam Boney')
INSERT INTO #Names (name) VALUES ('Ira Caull')
INSERT INTO #Names (name) VALUES ('Bernadette Bridge')
INSERT INTO #Names (name) VALUES ('Wayne Back')
INSERT INTO #Names (name) VALUES ('Yessir Itsaflat')
INSERT INTO #Names (name) VALUES ('Ben Thaye')
INSERT INTO #Names (name) VALUES ('Don Thatt')
INSERT INTO #Names (name) VALUES ('Philip Harmonic')
INSERT INTO #Names (name) VALUES ('Eileen Tudor-Wright')
INSERT INTO #Names (name) VALUES ('Cody Pendant')
INSERT INTO #Names (name) VALUES ('Hugh Lyon Sack')
INSERT INTO #Names (name) VALUES ('Lauren Order')
INSERT INTO #Names (name) VALUES ('Haywood Jabuzoff')
INSERT INTO #Names (name) VALUES ('Konrad Adenauer')
INSERT INTO #Names (name) VALUES ('Ginger Vitis')
INSERT INTO #Names (name) VALUES ('Ron DesVue')
INSERT INTO #Names (name) VALUES ('Stan Beyerman')
INSERT INTO #Names (name) VALUES ('Amanda B. Reckondwyth')
INSERT INTO #Names (name) VALUES ('Kay Sera')
INSERT INTO #Names (name) VALUES ('Len Scapon')
INSERT INTO #Names (name) VALUES ('Maury Missions')
INSERT INTO #Names (name) VALUES ('Lois Bidder')
INSERT INTO #Names (name) VALUES ('Xavier Breat')
INSERT INTO #Names (name) VALUES ('Eileen Yorway')
INSERT INTO #Names (name) VALUES ('Dick Shu')
INSERT INTO #Names (name) VALUES ('Vera Bruptly ')
INSERT INTO #Names (name) VALUES ('Eustace Stahl')
INSERT INTO #Names (name) VALUES ('Lou Gubrious')
INSERT INTO #Names (name) VALUES ('I.M. Shirley Wright')
INSERT INTO #Names (name) VALUES ('Ewen Whadarmy')
INSERT INTO #Names (name) VALUES ('Barb Dwyer')
INSERT INTO #Names (name) VALUES ('Ewell B. Hoffinett')
INSERT INTO #Names (name) VALUES ('Noah Comprenday')
INSERT INTO #Names (name) VALUES ('Bjorne Toulouse')
INSERT INTO #Names (name) VALUES ('Shanda Lear')
INSERT INTO #Names (name) VALUES ('Les Ismore')
INSERT INTO #Names (name) VALUES ('Cy Burnett')
INSERT INTO #Names (name) VALUES ('Cameron Diaz')
INSERT INTO #Names (name) VALUES ('Sheldon Deveigned')
INSERT INTO #Names (name) VALUES ('Marion Haste')
INSERT INTO #Names (name) VALUES ('Hugh Jim Bissell')
INSERT INTO #Names (name) VALUES ('Eaton Wright')
INSERT INTO #Names (name) VALUES ('Liven Good')
INSERT INTO #Names (name) VALUES ('Lou Scannon')
INSERT INTO #Names (name) VALUES ('Rita Menweip')
INSERT INTO #Names (name) VALUES ('Bill M. Moore')
INSERT INTO #Names (name) VALUES ('Picov Andropov')
INSERT INTO #Names (name) VALUES ('Mike Easter')
INSERT INTO #Names (name) VALUES ('Pat McCann')
INSERT INTO #Names (name) VALUES ('Peter Aftermey')
INSERT INTO #Names (name) VALUES ('Dewey Hafta')
INSERT INTO #Names (name) VALUES ('Judy Cyde')
INSERT INTO #Names (name) VALUES ('Harry Mouval')
INSERT INTO #Names (name) VALUES ('Mahatma Coat')
INSERT INTO #Names (name) VALUES ('Neil Down')
INSERT INTO #Names (name) VALUES ('Norma Lee Chowen')
INSERT INTO #Names (name) VALUES ('Ariel Bummerman')
INSERT INTO #Names (name) VALUES ('Barry L. Plotz')
INSERT INTO #Names (name) VALUES ('Marge Innovera')
INSERT INTO #Names (name) VALUES ('Bjorn Liar')
INSERT INTO #Names (name) VALUES ('Lou Pole')
INSERT INTO #Names (name) VALUES ('Ralph Oliver ')
INSERT INTO #Names (name) VALUES ('Warren Peace')
INSERT INTO #Names (name) VALUES ('Emmanualle Transmissions')
INSERT INTO #Names (name) VALUES ('Norman Conquest')
INSERT INTO #Names (name) VALUES ('Sarah Bellum')
INSERT INTO #Names (name) VALUES ('Tom Katz')
INSERT INTO #Names (name) VALUES ('Willy Makit')
INSERT INTO #Names (name) VALUES ('Betty Woant')
INSERT INTO #Names (name) VALUES ('Colin Ewe')
INSERT INTO #Names (name) VALUES ('Justin Time')
INSERT INTO #Names (name) VALUES ('Marci Boku')
INSERT INTO #Names (name) VALUES ('Yvonne Odds')
INSERT INTO #Names (name) VALUES ('Allen Wrench')
INSERT INTO #Names (name) VALUES ('Chris Mastry')

-- reviews table population
--

DECLARE @movie_id INT
DECLARE @max_id INT
DECLARE @name_id INT
DECLARE @max_name_id INT
SET @movie_id = 1
SET @name_id = 1
SELECT @max_id = MAX(movie_id) FROM movies
SELECT @max_name_id = MAX(id) FROM #Names

WHILE @movie_id <= @max_id BEGIN
  INSERT INTO reviews SELECT @movie_id, 'Great flick!', CEILING(RAND()*10.0), 'This movie was a real blast to watch. I highly recommend it to anyone interested in this type of film.', [name] FROM #Names WHERE id=(@name_id % @max_name_id) 

  SET @name_id = @name_id + 1

  INSERT INTO reviews SELECT @movie_id, 'Mediocre at best', CEILING(RAND()*10.0), 'I had great expectations for this film, but was disappointed by the uninspired acting and lackluster special effects. I am giving it a the rating I am because it was not the absolute worst thing I have seen.', [name] FROM #Names WHERE id=(@name_id % @max_name_id) 

  SET @name_id = @name_id + 1

  INSERT INTO reviews SELECT @movie_id, 'Pretty good', CEILING(RAND()*10.0), 'I enjoyed this film quite a bit, and think you will too. Lots of good action!', [name] FROM #Names WHERE id=(@name_id % @max_name_id) 

  SET @name_id = @name_id + 1

  INSERT INTO reviews SELECT @movie_id, 'Lamo!', CEILING(RAND()*10.0), 'Worst movie since the dawn of time! Avoid at all costs!', [name] FROM #Names WHERE id=(@name_id % @max_name_id) 

  SET @name_id = @name_id + 1
  SET @movie_id = @movie_id + 1
END

DROP TABLE #Names
GO
